﻿using Syncfusion.Pdf;
using Syncfusion.Pdf.Interactive;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace JSAction
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            //Create a new PDF document.

            PdfDocument document = new PdfDocument();

            //Add a new page to PDF document.

            PdfPage page = document.Pages.Add();

            //Create a button field and add the properties.

            PdfButtonField buttonField = new PdfButtonField(page, "print");

            buttonField.Bounds = new RectangleF(0, 0, 100, 20);

            buttonField.Text = "Print";

            //Set the js action form existing js file.

            string actionText = File.ReadAllText("../../print.js");

            buttonField.Actions.MouseDown = new PdfJavaScriptAction(actionText);

            //Add the form field to the document.

            document.Form.Fields.Add(buttonField);

            //Enable the default Appearance

            document.Form.SetDefaultAppearance(true);

            //Save the document.

            document.Save("Form.pdf");

            //close the document

            document.Close(true);

            System.Diagnostics.Process.Start("Form.pdf");
        }
    }
}
